Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.schema.identity
Class KeyRef

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.identity.IdentityConstraint
            |
            +--org.apache.xerces.validators.schema.identity.KeyRef

public class KeyRef
extends IdentityConstraint

Schema key reference identity constraint.

Version:
  $Id: KeyRef.java,v 1.4 2001/05/08 19:55:46 neilg Exp $
Author:
  Andy Clark, IBM

Field Summary
`protected IdentityConstraint` | `fKey` The key (or unique) being referred to.

Fields inherited from class org.apache.xerces.validators.schema.identity.IdentityConstraint
`fElementName, fFieldCount, fFields, fIdentityConstraintName, fSelector, KEY, KEYREF, UNIQUE`

Constructor Summary
`KeyRef(java.lang.String identityConstraintName, IdentityConstraint key, java.lang.String elementName)` Constructs a keyref with the specified name.

Method Summary
`IdentityConstraint` | `getKey()` Returns the key being referred to.
`short` | `getType()` Returns the identity constraint type.

Methods inherited from class org.apache.xerces.validators.schema.identity.IdentityConstraint
`addField, equals, getElementName, getFieldAt, getFieldCount, getIdentityConstraintName, getSelector, setSelector, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fKey

    protected IdentityConstraint fKey

  The key (or unique) being referred to.

Constructor Detail

### KeyRef

    public KeyRef(java.lang.String identityConstraintName,
                  IdentityConstraint key,
                  java.lang.String elementName)

  Constructs a keyref with the specified name.

Method Detail

### getType

    public short getType()

  Returns the identity constraint type.
  Overrides:
    getType in class IdentityConstraint

### getKey

    public IdentityConstraint getKey()

  Returns the key being referred to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.